
From: Roland Dreier <roland@topspin.com>

<linux/mount.h> uses atomic_t and spinlock_t, but doesn't include either
<asm/atomic.h> or <linux/spinlock.h>, which means that any users of
<linux/mount.h> have to include them.  This patch adds the necessary
#includes to avoid this.

Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/mount.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/linux/mount.h~linux-mounth-add-atomich-and-spinlockh-includes include/linux/mount.h
--- 25/include/linux/mount.h~linux-mounth-add-atomich-and-spinlockh-includes	2004-11-17 00:36:42.104834216 -0800
+++ 25-akpm/include/linux/mount.h	2004-11-17 00:36:42.108833608 -0800
@@ -13,6 +13,8 @@
 #ifdef __KERNEL__
 
 #include <linux/list.h>
+#include <linux/spinlock.h>
+#include <asm/atomic.h>
 
 #define MNT_NOSUID	1
 #define MNT_NODEV	2
_
